package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * word文件表对象 qy_wordtemplate
 * 
 * @author ruoyi
 * @date 2019-09-10
 */
public class QyWordtemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** Id */
    @Excel(name = "Id")
    private Long id;

    /** ParentID */
    @Excel(name = "ParentID")
    private String parentid;

    /** 企业老板 */
    @Excel(name = "企业老板")
    private String qylb;

    /** 企业类型 */
    @Excel(name = "企业类型")
    private String qylx;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String wordname;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String wrodtemplateurl;

    /** Orderby */
    @Excel(name = "Orderby")
    private Long orderby;

    /** 是否启用 */
    @Excel(name = "是否启用")
    private Long isenable;

    /** Islaiyuan */
    @Excel(name = "Islaiyuan")
    private Long islaiyuan;

    /** 是否下载 */
    @Excel(name = "是否下载")
    private Long isdownload;

    /** 备注 */
    @Excel(name = "备注")
    private String beizhu;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setParentid(String parentid) 
    {
        this.parentid = parentid;
    }

    public String getParentid() 
    {
        return parentid;
    }
    public void setQylb(String qylb) 
    {
        this.qylb = qylb;
    }

    public String getQylb() 
    {
        return qylb;
    }
    public void setQylx(String qylx) 
    {
        this.qylx = qylx;
    }

    public String getQylx() 
    {
        return qylx;
    }
    public void setWordname(String wordname) 
    {
        this.wordname = wordname;
    }

    public String getWordname() 
    {
        return wordname;
    }
    public void setWrodtemplateurl(String wrodtemplateurl) 
    {
        this.wrodtemplateurl = wrodtemplateurl;
    }

    public String getWrodtemplateurl() 
    {
        return wrodtemplateurl;
    }
    public void setOrderby(Long orderby) 
    {
        this.orderby = orderby;
    }

    public Long getOrderby() 
    {
        return orderby;
    }
    public void setIsenable(Long isenable) 
    {
        this.isenable = isenable;
    }

    public Long getIsenable() 
    {
        return isenable;
    }
    public void setIslaiyuan(Long islaiyuan) 
    {
        this.islaiyuan = islaiyuan;
    }

    public Long getIslaiyuan() 
    {
        return islaiyuan;
    }
    public void setIsdownload(Long isdownload) 
    {
        this.isdownload = isdownload;
    }

    public Long getIsdownload() 
    {
        return isdownload;
    }
    public void setBeizhu(String beizhu) 
    {
        this.beizhu = beizhu;
    }

    public String getBeizhu() 
    {
        return beizhu;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentid", getParentid())
            .append("qylb", getQylb())
            .append("qylx", getQylx())
            .append("wordname", getWordname())
            .append("wrodtemplateurl", getWrodtemplateurl())
            .append("orderby", getOrderby())
            .append("isenable", getIsenable())
            .append("islaiyuan", getIslaiyuan())
            .append("isdownload", getIsdownload())
            .append("beizhu", getBeizhu())
            .toString();
    }
}
